A transport wrapper of transport which can be veriefied

### Hierarchy

- Transport
  - TransportWithVerification

## Index

### Methods

- isVerified
- send
- verify

## Methods

### Abstract isVerified

- isVerified(): boolean

- - Defined in node_modules/@openstapps/logger/lib/Transport.d.ts:21

  Checks if the transport was verified at least once

  #### Returns boolean

### Abstract send

- send(subject: string, message: string): Promise<string>

- Inherited from Transport.send

  - Defined in node_modules/@openstapps/logger/lib/Transport.d.ts:11

  Send message with subject. A message can be a mail or something completly different. Depending on what Transport is implemented

  #### Parameters

  - ##### subject: string

  - ##### message: string

  #### Returns Promise<string>

### Abstract verify

- verify(): Promise<boolean>

- - Defined in node_modules/@openstapps/logger/lib/Transport.d.ts:25

  Verifies transport (check connection, authentication, ...)

  #### Returns Promise<boolean>

Generated using TypeDoc